org.eclipse.rdf4j.federated.endpoint.provider

## Class ResolvableRepositoryInformation

- java.lang.Object
- - org.eclipse.rdf4j.federated.endpoint.provider.RepositoryInformation
  - - org.eclipse.rdf4j.federated.endpoint.provider.ResolvableRepositoryInformation

-     public class ResolvableRepositoryInformation
      extends RepositoryInformation

  Graph information for a `ResolvableEndpoint` where the `Repository` is looked up using the configured `RepositoryResolver`.

  Format:

       @prefix sd: <http://www.w3.org/ns/sparql-service-description#> .
       @prefix fedx: <http://www.fluidops.com/config/fedx#> .

       <http://myname> a sd:Service ;
              fedx:store "ResolvableRepository";
              fedx:repositoryName "myRepoId"

  Author:
    Andreas Schwarte
  See Also:
    `ResolvableEndpoint`, `ResolvableRepositoryProvider`

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.federated.endpoint.provider.RepositoryInformation

      `props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResolvableRepositoryInformation(Model graph, Resource repNode)`
    `ResolvableRepositoryInformation(String repositoryId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `initialize(Model graph, Resource repNode)`

    - ### Methods inherited from class org.eclipse.rdf4j.federated.endpoint.provider.RepositoryInformation

      `get, get, getEndpointConfiguration, getId, getLocation, getName, getType, isWritable, setEndpointConfiguration, setProperty, setType, setWritable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResolvableRepositoryInformation

          public ResolvableRepositoryInformation(Model graph,
                                                 Resource repNode)

    - #### ResolvableRepositoryInformation

          public ResolvableRepositoryInformation(String repositoryId)

  - ### Method Detail

    - #### initialize

          protected void initialize(Model graph,
                                    Resource repNode)

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.